%global pypi_name botocore
%global _empty_manifest_terminate_build 0
Name:                python-%{pypi_name}
Version:             1.24.7
Release:             2
Summary:             Low-level, data-driven core of boto 3
License:             Apache-2.0
URL:                 https://github.com/boto/botocore
Source0:             https://files.pythonhosted.org/packages/b6/27/82dcaa46588c3071b195f75ec1c3ce5d6ce8aad26701dcc661cbca4961be/botocore-1.24.7.tar.gz
Patch0:              add-settimeout-method-to-FakeSocket.patch
BuildArch:           noarch
%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.

%package -n          python3-%{pypi_name}
Summary:             Low-level, data-driven core of boto 3
Provides:            python-botocore
BuildRequires:       python3-devel python3-setuptools
BuildRequires:       python3-urllib3
BuildRequires:       python3-dateutil
BuildRequires:       python3-jmespath
BuildRequires:       python3-pytest
BuildRequires:       python3-pbr
BuildRequires:       python3-pip
BuildRequires:       python3-wheel
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:            python3-jmespath
Requires:            python3-dateutil
Requires:            python3-urllib3
%description -n python3-%{pypi_name}
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.

%package help
Summary:      Low-level, data-driven core of boto 3.
Provides:     python3-botocore-doc
%description help
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} -m pytest tests/unit

%files -n python3-%{pypi_name} -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Apr 13 2023 caodongxia <caodongxia@h-partners.com> - 1.24.7-2
- Add settimeout method to FakeSocket

* Fri Oct 14 2022 Ge Wang <wangge20@h-partners.com> - 1.24.7-1
- Upgrade to version 1.24.7

* Mon Jan 10 2022 yaoxin <yaoxin30@huawei.com> - 1.23.4-1
- Upgrade python-botocore to 1.23.4

* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 1.20.26-1
- update to 1.20.26

* Mon Nov 16 2020 yanan li <liyanan32@huawei.com> - 1.19.17-1
- Package init
